#####Prep####


#set WD
#load packages
library("ggpubr")
library("car")
library("dplyr")
library("rstatix")
library("tidyverse")
library("Rmisc")


#call in data
data<-read.csv("Length_figshare.csv")
attach(data)
head(data)


#####Exploratory Data Analysis####
hist(data$Sum..um.)

leveneTest(Sum..um.~Tuatara, data= data)
leveneTest(Sum..um.~Slide, data= data)

summary(data$Sum..um.)




#####making a boxplot####
boxplot <- ggboxplot(data, "Tuatara", "Sum..um.", color = "Slide", 
                     add = "jitter", shape = "Slide")
boxplot

##going to add p values to plot
stat.test <- data %>%
  group_by(Tuatara)%>%
  t_test(Sum..um. ~ Slide) %>%
  adjust_pvalue(method = "holm") %>%
  add_significance("p.adj")
stat.test

stat.test <- stat.test %>%
  add_xy_position(x = "Tuatara", dodge = 0.8)

boxplot2 <- ggboxplot(data, "Tuatara", "Sum..um.", color = "Slide", 
                     add = "jitter", shape = "Slide") +
  stat_pvalue_manual(
    stat.test,  label = "p", tip.length = 0)
boxplot2


##need to add second p-values comparing everything?
stat.test2 <- data %>%
  t_test(Sum..um. ~ Tuatara, p.adjust.method = "holm")
stat.test2

stat.test2 <- stat.test2 %>% add_xy_position(x = "Tuatara")
boxplot3 <- boxplot2 + stat_pvalue_manual(
  stat.test2,  label = "p", tip.length = 0.02,
  step.increase = 0.05
) +
  scale_y_continuous(expand = expansion(mult = c(0.05, 0.1)))

boxplot3

#####ANOVA time

res.aov <- aov(Sum..um. ~ Combine, data =data)
summary(res.aov)

TukeyHSD(res.aov)

#running a pairwise t.test just to see if results differ (they shouldn't really)
pairwise.t.test(data$Sum..um., data$Combine)



#####t test and 95 CIS####
male102<-subset(data, Tuatara=="tut102", select = Sum..um.)
male246<-subset(data, Tuatara=="tut246", select = Sum..um.)

#normality test
shapiro.test(male102$Sum..um.) ##p=0.995 = normally distributed
shapiro.test(male246$Sum..um.) ##p is less than 0.05, not evenly distributed (this one has that outlier)

#equal variance test
var.test(Sum..um. ~ Tuatara, data = data)
#p=0.04 ughhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhh

##whatever just going to run a Welch's t test since assumptions are...not great (but close, again its that dang outlier)

t.test(male102, male246, alternative = "two.sided", conf.level = 0.95)

CI(male102$Sum..um., ci=0.95)
CI(male246$Sum..um., ci=0.95)
